{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1> My Lists</h1>
            <p><a href = "{% url 'todo_list_create' %}"> Create To Do List</a></p>
            <p><a href = "{% url 'todo_item_create' %}"> Create a New Item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todolist in todolists %}
                    <tr>
                        <td>
                            <a href= "{% url 'todo_list_detail' todolist.id%}">{{todolist.name}}</a>
                        </td>
                        <td>
                            {{ todolist.items.all|length}}
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
